
#ifndef __DELAY_H__
#define __DELAY_H__ 

/*
** Delay routines using TMR1
**
*/
void Delayms( unsigned);


/**** software delays different sw delays for PIC24FJ64GA004 set for FRCPLL with no clock div
********************************************************************************************/

	
	void delay_1us(void);  //used in LCD for E
	void delay_5us(void) ;
	void delay_30us(void); //used between commands
	void delay_100us(void) ;
	void delay_5msec(void); //used for Busy delay 
	void delay_40msec(void);
	void delay(void) ; //100s msec
	
	void big_delay(void) ; //seconds
	
#endif